ColorPalette Class Reference

a color palette More...

`#include <ColorPalette.h>`

Inheritance diagram for ColorPalette:

## Public Member Functions

unsigned int | getSize (void) const
void | addEntry (RGBTriple rgb)
void | addEntry (BYTE r, BYTE g, BYTE b)

## Detailed Description

This class is essentially a vector<RGBTriple> with some wrappers for exisiting methods.

## Member Function Documentation

## addEntry() [1/2]

void ColorPalette::addEntry | ( | BYTE | r,
|  | BYTE | g,
|  | BYTE | b )

inline

add the color r/g/b to the end of this color palette

## addEntry() [2/2]

void ColorPalette::addEntry | ( | RGBTriple | rgb | ) |

inline

add (a copy of) rgb to the end of this color palette

## getSize()

unsigned int ColorPalette::getSize | ( | void |  | ) | const

inline

get the size, i.e. the number of entries of this color palette

The documentation for this class was generated from the following file:

- ColorPalette.h